<!DOCTYPE html>
<html lang="tr">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.2/dist/css/bootstrap.min.css" rel="stylesheet">
    <title>Kitap Kaydet</title>
</head>

<body>
    <div class="alert alert-secondary" role="alert" style="max-width: 1000px; margin: 20px auto">
        <?php

            require_once("_ayarlar.php");

            $kitap_ad = $_POST["kitap_ad"];
            $yazar_ad = $_POST["yazar_ad"];
            $yazar_soyad = $_POST["yazar_soyad"];
            $isbn = $_POST["isbn"];
            $yayinevi = $_POST["yayinevi"];
            $basim_yili = $_POST["basim_yili"];
            $sayfa_sayisi = $_POST["sayfa_sayisi"];
            $tur = $_POST["tur"];
            $fiyat = $_POST["fiyat"];

            $gecici_adres = $_FILES["resim"]["tmp_name"];
            $resim_ad = $_FILES["resim"]["name"];
            $uzanti = pathinfo($resim_ad, PATHINFO_EXTENSION);
            $resim_ad = mb_strtolower($kitap_ad);
            $bulunacak = array('ç', 'Ç', 'ı', 'İ', 'ğ', 'Ğ', 'ü', 'ö', 'Ş', 'ş', 'Ö', 'Ü', ',', ' ', '(', ')', '[', ']');
            $degistir = array('c', 'C', 'i', 'I', 'g', 'G', 'u', 'o', 'S', 's', 'O', 'U', '', '-', '', '', '', '');
            $resim_ad = str_replace($bulunacak, $degistir, $resim_ad);
            $resim_ad = preg_replace("/[^a-z0-9\_\-\.]/i", '', $resim_ad);
            $zaman_damgasi = date("YmdHis");
            $resim_ad = "$zaman_damgasi-$resim_ad";
            $yeni_adres = "kapak/$resim_ad.$uzanti";

            echo "Eklenen Veriler ";
            echo "<br>Kitap Adı: $kitap_ad";
            echo "<br>Yazar Adı: $yazar_ad";
            echo "<br>Yazar Soyadı: $yazar_soyad";
            echo "<br>isbn: $isbn";
            echo "<br>Yayınevi: $yayinevi";
            echo "<br>Basım Yılı: $basim_yili";
            echo "<br>Sayfa Sayısı: $sayfa_sayisi";
            echo "<br>Tür: $tur";
            echo "<br>Fiyat: $fiyat<br><br>";

            if ($uzanti == "png" or $uzanti == "jpg") {

                $yukle = move_uploaded_file($gecici_adres, $yeni_adres);
                if ($yukle) {
                    $sql = "INSERT INTO 
                                    kitap 
                                        (kitap_ad, yazar_ad, yazar_soyad, isbn, 
                                        yayinevi, basim_yili, sayfa_sayisi, tur, fiyat, resim) 
                                    VALUES 
                                        ('$kitap_ad', '$yazar_ad', '$yazar_soyad', '$isbn',
                                        '$yayinevi', '$basim_yili', '$sayfa_sayisi','$tur', '$fiyat', '$resim_ad')";

                    $ekleme = $vt->query($sql);

                    if($ekleme){
                        echo "Kitap ekleme işlemi başarılı.";
                        echo "<br>Yönlendiriliyorsunuz...";
                        header("Refresh: 4; url=index.php");
                    } 
                    else {
                        echo "Kitap ekleme işleminde hata meydana geldi.";
                        echo "<br>Yönlendiriliyorsunuz...";
                        header("Refresh: 4; url=kitap-ekle.php");
                    }
                } else {
                    echo "Dosya yükleme işleminde hata meydana geldi.";
                    echo "Lütfen tekrar deneyiniz.<br>";
                    echo "Yönlendiriliyorsunuz...";
                    header("Refresh: 2; url=index.php");
                }

            } else {
                echo "Kapak resmi istenilen uzantıda değildir. <br>";
                echo "Lütfen tekrar deneyiniz.<br>";
                echo "Yönlendiriliyorsunuz...";
                header("Refresh: 2; url=index.php");
            } 
        ?>
    </div>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.2/dist/js/bootstrap.bundle.min.js"></script>
</body>

</html>